<?php

$file = fopen('imiona.txt', 'r');
$l = array();
while(! feof($file)) {
    $l[] = fgets($file);
}
fclose($file);

for ($i = 0; $i < count($l); $i++) {
    echo "$l[$i] <br>";
}

echo "<hr>";

for ($i = sizeof($l) - 1; $i >= 0; $i--) {
    echo "$l[$i] <br>";
}